## polygen 1.0.6.ds2

=== debian/changelog ===
polygen (1.0.6.ds2-25) unstable; urgency=medium

  * QA upload
  * Fix compilation with OCaml 5.x (Closes: #1073910)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jun 2024 08:55:42 +0200

polygen (1.0.6.ds2-24) unstable; urgency=medium

  * QA upload
  * Recompile with OCaml 4.14.1
  * Make polygen an arch:any package
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Wed, 20 Sep 2023 19:52:16 +0200

polygen (1.0.6.ds2-23) unstable; urgency=medium

  * QA upload
  * Recompile with OCaml 4.13.1

 -- Stéphane Glondu <glondu@debian.org>  Wed, 19 Jan 2022 21:23:09 +0100

polygen (1.0.6.ds2-22) unstable; urgency=medium

  * QA upload
  * Fix compilation with OCaml 4.13.1

 -- Stéphane Glondu <glondu@debian.org>  Sun, 26 Dec 2021 16:54:58 +0100

polygen (1.0.6.ds2-21) unstable; urgency=medium

  * QA upload
  * Fix compilation with OCaml 4.13.1
  * Bump Standards-Version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Sun, 26 Dec 2021 12:15:33 +0100

polygen (1.0.6.ds2-20) unstable; urgency=medium

  [ Stéphane Glondu ]
  * QA upload
  * Recompile with OCaml 4.11.1
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.

 -- Stéphane Glondu <glondu@debian.org>  Tue, 13 Oct 2020 09:33:04 +0200

polygen (1.0.6.ds2-19) unstable; urgency=medium

  * QA upload
  * Recompile with OCaml 4.08.1
  * Set Vcs-* field to ocaml-team's existing salsa git repository

 -- Stéphane Glondu <glondu@debian.org>  Wed, 06 Nov 2019 14:25:56 +0100

polygen (1.0.6.ds2-18) unstable; urgency=medium

  * QA upload.

  [ Salvo 'LtWorf' Tomaselli ]
  * Bump debhelper compat level to 10.

  [ Mattia Rizzolo ]
  * debian/man.grm: fix the typo here directly instead of using a patch.
  * debian/source/format: use source format 3.0 (quilt).
  * Use quilt instead of CDBS' simple-patchsys.
  * debian/rules:
    + Entirely rewrite using the dh sequencer instead of CDBS.
      - This also moves a bunch of commands to the various
        debian/{*.{install,docs},clean} etc.
      - Also use dh-exec to perform renames.
    + Use /usr/share/dpkg/pkg-info.mk instead of calling dpkg-parsechangelog.
    + Sort grm files before generating the polygen-data.6 manpage, to make the
      build reproducible.  Thanks to Chris Lamb <lamby@debian.org> for the
      patch.  (Closes: #877375)
  * debian/polygen.dirs: remove redundant file.
  * debian/control:
    + New build-dependency on dh-exec.
    + Drop build-dependency on cdbs.
    + Bump Standards-Version to 4.1.1, no changes needed.
    + Move git repository to collab-maint.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 10 Oct 2017 20:37:21 +0200

polygen (1.0.6.ds2-17) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as Maintainer.
  * Rebuild with OCaml 4.05. (Closes: #876463)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 27 Sep 2017 14:19:22 +0200

polygen (1.0.6.ds2-16) unstable; urgency=medium

  * Change POLYGEN_SEED in d/rules (Closes: #860384). Thanks to Chris Lamb.
  * Compile on OCaml 4.05.0 (Closes: #868938). Thanks to Stéphane Glondu.

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Fri, 28 Jul 2017 09:21:29 +0200

polygen (1.0.6.ds2-15) unstable; urgency=low

  * Changed maintainer (Closes: #813212)
  * Bumped Standards-Version to 3.9.8
  * Changed homepage to http://polygen.org/
  * Bumped compat to 9
  * Changed git URLs

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sun, 30 Oct 2016 15:33:00 +0100

polygen (1.0.6.ds2-14) unstable; urgency=medium

  * Team upload.
  * Acknowledge NMU.
  * Make build reproducible (Closes: #776576). Thanks to Chris Lamb for
    the patch.
  * Fix typo in manpage (Closes: #776573).

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 10 Oct 2015 18:37:42 +0200

polygen (1.0.6.ds2-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "depend on perl instead of perl-modules":
    debian/control: update Depends for polygen-data.
    (Closes: #779115)

 -- gregor herrmann <gregoa@debian.org>  Wed, 25 Feb 2015 22:13:25 +0100

polygen (1.0.6.ds2-13) unstable; urgency=low

  * Standards-Version 3.9.5 (no change)
  * Recompile with ocaml 4.01.0 (no source changes)

 -- Ralf Treinen <treinen@debian.org>  Tue, 03 Dec 2013 22:08:22 +0100

polygen (1.0.6.ds2-12) unstable; urgency=low

  * Team upload
  * Recompile with ocaml 3.12.1 (no source changes)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 01 Nov 2011 21:26:40 +0100

polygen (1.0.6.ds2-11) unstable; urgency=low

  * added debian/gbp.conf: enforce pristine-tar
  * Standards-Version 3.9.2 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 16 Feb 2011 20:49:32 +0100

polygen (1.0.6.ds2-10) unstable; urgency=low

  * debian/polyrun: terminate Usage message with a newline. Thanks to
    Chris Lamb for the patch (closes: #507277).
  * debian/control:
    - put homepage at freshmeat (closes: #517430)
    - removed Zack from uploaders on his request.
  * patch 02-grammar-typos.patch: fix a typo in grm/eng/manager.grm
    (closes: #307619).
  * Install executables in /usr/games instead of /usr/bin.
  * debian/watch: deactivate since url of download page dead
  * add debian/source/format, value is 1.0
  * debian/make_polygen_data-manpage: escape some hyphens, and fix a
    typo in the generated manpage.

 -- Ralf Treinen <treinen@debian.org>  Tue, 22 Jun 2010 21:52:33 +0200

polygen (1.0.6.ds2-9) unstable; urgency=low

  * rebuild against OCaml 3.11.2
  * bump Standards-Version to 3.8.4 (no changes needed)
  * switch to dh-ocaml to compute bytecode dependencies

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 10 Feb 2010 10:28:53 +0100

polygen (1.0.6.ds2-8) unstable; urgency=low

  * rebuild against OCaml 3.11.1
  * bump Standards-Version to 3.8.2 (no changes needed)
  * bump debhelper compatibility level to 5 (minimum non-deprecated)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 05 Jul 2009 17:20:13 +0200


