=== debian/watch ===
#version=3
#http://www.polygen.org/gs/dist/polygen-(.*)-\d+-src.zip
